Skip to main content
Resource Center/Bare Metal Management (Plus)/Bare Metal Management Operations

QueryBaremetalBonding

QueryBaremetalBonding

GET/zstack/v1/baremetal/network/bondings
GET/zstack/v1/baremetal/network/bondings/{uuid}

Operation ID

QueryBaremetalBonding

Since

3.4.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories

    • uuid
      StringRequired

      The network bonding UUID.

    • chassisUuid
      StringRequired

      The UUID of the bare metal chassis.

    • name
      StringRequired

      The name of the bonded NIC.

    • mode
      IntegerRequired

      The network bonding mode.

    • slaves
      StringRequired

      The bonded slave MAC addresses. Each MAC address is separated by a comma (,).

    • opts
      StringRequired

      The network bonding options.

    • createDate
      TimestampRequired

      The time when the network bonding was created.

    • lastOpDate
      TimestampRequired

      The time when the network bonding was last modified.